# Create an APM payment

Perform a sale.

Endpoint: POST /apmPayments
Version: 2023-06-01
Security: BasicAuth

## Header parameters:

  - `Content-Type` (string, required)
    The content type of the request body.
    Enum: "application/json"

  - `WP-Api-Version` (string, required)
    The API version.
    Enum: "2023-06-01"

## Request fields (application/json):

  - `instruction` (object, required)

  - `instruction.narrative` (object, required)
    Details about the payment.

  - `instruction.narrative.line1` (string, required)
    The description shown on your customer's bank statement for the payment.
    Example: "Mind Palace"

  - `instruction.paymentInstrument` (object, required)
    The instrument used to take the payment

  - `instruction.paymentInstrument.type` (string, required)
    The type of instrument.

  - `instruction.value` (object, required)
    The value of the payment.

  - `instruction.value.amount` (integer, required)
    The amount in the lowest denomination of the currency e.g. pennies for GBP, cents for USD.
    Example: 1234

  - `instruction.value.currency` (string, required)
    The supported ISO 4217 currency codes.
    Enum: "AED", "AFN", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYN", "BZD", "CAD", "CDF", "CHF", "CLP", "CNH", "CNY", "COP", "CRC", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRU", "MUR", "MVR", "MWK", "MXN", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RWF", "SAR", "SBD", "SCR", "SEK", "SGD", "SHP", "SLE", "SLL", "SOS", "SRD", "STN", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VES", "VND", "VUV", "WST", "XAF", "XCD", "XOF", "XPF", "YER", "ZAR", "ZMW"

  - `merchant` (object, required)

  - `merchant.entity` (string, required)
    The Access Entity entityReference.
    Example: "MindPalaceLtd"

  - `transactionReference` (string, required)

## Response 400 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `validationErrors` (array)

## Response 401 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 415 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 500 fields (application/json):

  - `errorName` (string)

  - `message` (string)


